<?php (defined('BASEPATH')) OR exit('No direct script access allowed');

class Admin_Controller extends Controller {

	function __construct($global_admin = FALSE) {

		$this->autoload = array('libraries' => array('session', 'validation', 'lib_pagination', 'redir'), 'language' => array('mcb'));

		parent::Controller();

		$this->load->helper('url');

		if (!$global_admin) {

			if (!$this->session->userdata('is_admin')) {

				redirect('sessions/login');

			}

		}

		else {

			if (!$this->session->userdata('global_admin')) {

				redirect('dashboard');

			}

		}

		$this->load->database();

		$this->load->helper(array('file', 'directory', 'form', 'uri'));

		$this->load->model('mcb_data/mdl_mcb_data');

		$this->load->module('kindle');

		if (!$this->session->userdata('version')) {

			$this->mdl_mcb_data->set_session_data();

		}

	}

}

?>