<?php (defined('BASEPATH')) OR exit('No direct script access allowed');

class Clients extends Admin_Controller {

	function __construct() {

		parent::__construct();

		$this->_post_handler();

		$this->load->model('mdl_clients');

	}

	function index() {

		$this->load->helper('text');

		$this->redir->set_last_index();

		if (uri_assoc('order_by') == 'company') {

			$clients = $this->mdl_clients->_get(array('limit'=>20, 'paginate'=>TRUE, 'page'=>uri_assoc('page'), 'order_by'=>'company_name'));

		}

		elseif (uri_assoc('order_by') == 'email') {

			$clients = $this->mdl_clients->_get(array('limit'=>20, 'paginate'=>TRUE, 'page'=>uri_assoc('page'), 'order_by'=>'email_address'));

		}

		elseif (uri_assoc('order_by') == 'balance') {

			$clients = $this->mdl_clients->_get(array('limit'=>20, 'paginate'=>TRUE, 'page'=>uri_assoc('page'), 'order_by'=>'total_balance DESC'));

		}

		else {

			$clients = $this->mdl_clients->_get(array('limit'=>20, 'paginate'=>TRUE, 'page'=>uri_assoc('page'), 'order_by'=>'last_name, first_name'));

		}

		$data = array(
			'clients'	=>	$clients
		);

		$this->load->view('index', $data);

	}

	function form() {

		if (!$this->mdl_clients->_validate()) {

			$this->load->helper('form');

			if (!$_POST AND uri_assoc('client_id')) {

				$this->mdl_clients->_prep_validation(uri_assoc('client_id'));

			}

			$this->load->view('form');

		}

		else {

			$this->mdl_clients->_save($this->mdl_clients->db_array(), uri_assoc('client_id'));

			$this->redir->redirect('clients');

		}

	}

	function details() {

		$this->load->module('invoices');

		$client = $this->mdl_clients->_get(array('where'=>array('mcb_clients.client_id'=>uri_assoc('client_id'))));

		$invoices = $this->invoices->get(array('where'=>array('mcb_invoices.client_id'=>uri_assoc('client_id'))));

		$data = array(
			'client'		=>	$client,
			'invoices'		=>	$invoices);

		$this->load->view('details', $data);

	}

	function delete() {

		if (uri_assoc('client_id')) {

			$this->mdl_clients->_delete(array('client_id'=>uri_assoc('client_id')));

		}

		$this->redir->redirect('clients');

	}

	function get($params = NULL) {

		return $this->mdl_clients->_get($params);

	}

	function _post_handler() {

		if ($this->input->post('btn_add_client')) {

			redirect('clients/form');

		}

		if ($this->input->post('btn_cancel')) {

			redirect('clients/index');

		}

	}

	function client_id_length() {

		return $this->mdl_clients->client_id_length();

	}

}

?>