<?php (defined('BASEPATH')) OR exit('No direct script access allowed');

class Mdl_Clients extends MY_Model {

	function Mdl_Clients() {

		parent::MY_Model();

		$this->table_name = 'mcb_clients';

		$this->select_fields = "
		SQL_CALC_FOUND_ROWS
		mcb_clients.*,
		IFNULL((SELECT SUM(qty * unit_price) + (SUM(qty * unit_price) * tax_rate_percent / 100) FROM mcb_invoice_items JOIN mcb_invoices ON mcb_invoices.invoice_id = mcb_invoice_items.invoice_id JOIN mcb_tax_rates ON mcb_tax_rates.tax_rate_id = mcb_invoices.tax_rate_id WHERE mcb_invoices.client_id = mcb_clients.client_id), 0.00) AS total_invoice,
		IFNULL((SELECT SUM(amount) FROM mcb_payments JOIN mcb_invoices ON mcb_invoices.invoice_id = mcb_payments.invoice_id WHERE mcb_invoices.client_id = mcb_clients.client_id), 0.00) AS total_payment,
		(SELECT total_invoice - total_payment) AS total_balance";

		$this->primary_key = 'mcb_clients.client_id';

		$this->order_by = 'last_name, first_name';

		$this->validation_fields = array(
			'username'		=>	$this->lang->line('username'),
			'password'		=>	$this->lang->line('password'),
			'first_name'	=>	$this->lang->line('first_name'),
			'last_name'		=>	$this->lang->line('last_name'),
			'address'		=>	$this->lang->line('street_address'),
			'city'			=>	$this->lang->line('city'),
			'state'			=>	$this->lang->line('state'),
			'zip'			=>	$this->lang->line('zip'),
			'phone_number'	=>	$this->lang->line('phone_number'),
			'fax_number'	=>	$this->lang->line('fax_number'),
			'mobile_number'	=>	$this->lang->line('mobile_number'),
			'email_address'	=>	$this->lang->line('email_address'),
			'web_address'	=>	$this->lang->line('web_address'),
			'company_name'	=>	$this->lang->line('company_name'),
			'notes'			=>	$this->lang->line('notes'));

		$this->validation_rules = array(
			'first_name'	=>	'required',
			'last_name'		=>	'required');

	}

	function db_array() {

		$db_array = $this->_db_array();

		return $db_array;

	}

	function client_id_length() {

		$this->db->select('MAX(client_id) AS max_client_id');

		$query = $this->db->get($this->table_name);

		return strlen($query->row()->max_client_id);

	}

}

?>