<?php (defined('BASEPATH')) OR exit('No direct script access allowed');

class Dashboard extends Admin_Controller {

	var $widgets = array();

	function __construct() {

		parent::__construct();

		$this->load->module('invoices');

		/*
		 * Notify the settings module that we have a save view
		 */
		$this->kindle->set_notice('settings_core_view', array('module'=>'dashboard', 'view'=>'settings'));

		/*
		 * Notify the settings module that we have a save method
		 */
		$this->kindle->set_notice('settings_core_save', array('module'=>'dashboard', 'method'=>'save_settings'));

	}

	function index() {

		$this->_post_handler();

		$this->redir->set_last_index();

		$data = array(
			'invoices'			=>  $this->invoices->get(array('limit'=>10, 'with_balance'=>TRUE)),
			'recent_invoices'	=>  $this->invoices->get(array('limit'=>10, 'without_balance'=>TRUE)),
			'view_all_link'		=>  TRUE);

		$this->load->view('dashboard', $data);

	}

	function display_menu() {

		$data = array(
			'modules'	=>	$this->mdl_kindle->modules
		);

		$this->load->view('menu', $data);

	}

	function show_custom_menu() {

		if (isset($this->kindle->notices['dashboard_custom_menu'])) {

			foreach ($this->kindle->notices['dashboard_custom_menu'] as $menu) {

				$this->load->view($menu['module'] . '/' . $menu['view'], NULL, FALSE);

			}

		}


	}

	function show_widgets() {

		if (isset($this->kindle->notices['dashboard_widget'])) {

			foreach ($this->kindle->notices['dashboard_widget'] as $widget) {

				echo modules::run($widget['module'] . '/' . $widget['method']);

			}

		}

	}

	function save_settings() {

		if ($this->input->post('dashboard_show_open_invoices')) {

			$this->mdl_mcb_data->save('dashboard_show_open_invoices', "TRUE");

		}

		else {

			$this->mdl_mcb_data->save('dashboard_show_open_invoices', "FALSE");

		}

		if ($this->input->post('dashboard_show_closed_invoices')) {

			$this->mdl_mcb_data->save('dashboard_show_closed_invoices', "TRUE");

		}

		else {

			$this->mdl_mcb_data->save('dashboard_show_closed_invoices', "FALSE");

		}

	}

	function _post_handler() {

		if ($this->input->post('btn_add_invoice')) {

			redirect('invoices/create');

		}

	}

}

?>