<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
	<head>
		<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
		<title>
			<?=$this->lang->line('invoice_number');?>
			<?=$invoice->invoice_id;?>
		</title>
		<style type="text/css">

			th {
				border: 1px solid #666666;
				background-color: #D3D3D3;
			}

			.company {
				line-height: 5px;
			}

			.address {
				margin-left: 10px;
				line-height: 0px;
			}

		</style>
	</head>
	<body>

		<table width="100%">
			<tr>
				<td width="60%">
					<h2>
						<?=$this->lang->line('invoice_number');?>
						<?=$invoice->invoice_id;?>
					</h2>
					<p>
						<?=$this->lang->line('invoice_date');?>
						: <?=date($this->session->userdata('default_date_format'), $invoice->date_entered);?>
					</p>
					<p>
						<?=$this->lang->line('due_date');?>
						: <?=date($this->session->userdata('default_date_format'), mktime (0,0,0,date("m", $invoice->date_entered) ,date("d", $invoice->date_entered)+30,date("Y", $invoice->date_entered)));?>
					</p>
				</td>
				<td width="40%">
					<h2 class="company">
						<?=$invoice->from_company_name;?>
					</h2>
					<p>
						<?=$invoice->from_first_name . ' ' . $invoice->from_last_name;?>
						<br />
						<?=$invoice->from_address;?>
						<br />
						<?=$invoice->from_city . ', ' . $invoice->from_state . ' ' . $invoice->from_zip;?>
					</p>
				</td>
			</tr>
		</table>

		<p>
			<?=$this->lang->line('bill_to');?>
			:<br />
			<?=$invoice->to_company_name;?>
			<br />
			<?=$invoice->to_first_name . ' ' . $invoice->to_last_name;?>
			<br />
			<?=$invoice->to_address;?>
			<br />
			<?=$invoice->to_city . ', ' . $invoice->to_state . ' ' . $invoice->to_zip;?>
		</p><br />

		<table style="width: 100%;">
			<tr>
				<th width="15%">
					<?=$this->lang->line('quantity');?>
				</th>
				<th width="55%">
					<?=$this->lang->line('item');?>
				</th>
				<th width="15%" align="right">
					<?=$this->lang->line('unit');?>
				</th>
				<th width="15%" align="right">
					<?=$this->lang->line('cost');?>
				</th>
			</tr>
			<?foreach ($invoice->invoice_items as $item) {?>
			<tr>
				<td align="center">
						<?=number_format($item->qty,2);?>
				</td>
				<td>
						<?=$item->item;?>
				</td>
				<td align="right">
						<?=$this->session->userdata('currency_symbol');?>
						<?=number_format($item->unit_price,2);?>
				</td>
				<td align="right">
						<?=$this->session->userdata('currency_symbol');?>
						<?=number_format($item->line_price,2);?>
				</td>
			</tr><?}?>
			<tr>
				<td colspan="2"></td>
				<td colspan="2">
					<hr />
				</td>
			</tr>
			<tr>
				<td></td>
				<td></td>
				<td align="right">
					<?=$this->lang->line('amount');?>
				</td>
				<td align="right">
					<?=$this->session->userdata('currency_symbol');?>
					<?=number_format($invoice->invoice_amount, 2);?>
				</td>
			</tr>
			<?if ($invoice->invoice_amount_discount > 0) {?>

			<tr>
				<td></td>
				<td></td>
				<td align="right">
					<?=$this->lang->line('discount');?>
				</td>
				<td align="right">
					<?=$this->session->userdata('currency_symbol');?>
					<?=number_format($invoice->invoice_amount_discount, 2);?>
				</td>
			</tr>

			<?}?>
			<tr>
				<td></td>
				<td></td>
				<td align="right">
					<?=$this->lang->line('tax');?>
				</td>
				<td align="right">
					<?=$this->session->userdata('currency_symbol');?>
					<?=number_format($invoice->invoice_tax, 2);?>
				</td>
			</tr>
			<tr>
				<td></td>
				<td></td>
				<td align="right">
					<?=$this->lang->line('invoice_total');?>
				</td>
				<td align="right">
					<?=$this->session->userdata('currency_symbol');?>
					<?=number_format($invoice->invoice_total, 2);?>
				</td>
			</tr>
			<tr>
				<td></td>
				<td></td>
				<td align="right">
					<?=$this->lang->line('amount_paid');?>
				</td>
				<td align="right">
					<?=$this->session->userdata('currency_symbol');?>
					<?=number_format($invoice->invoice_payment, 2);?>
				</td>
			</tr>
			<tr>
				<td></td>
				<td></td>
				<td align="right">
					<?=$this->lang->line('remaining_balance');?>
				</td>
				<td align="right">
					<?=$this->session->userdata('currency_symbol');?>
					<?=number_format($invoice->invoice_balance, 2);?>
				</td>
			</tr>
		</table>

		<br /><br />

		<?if ($invoice->invoice_payments) {?>
		<table style="width: 100%">
			<tr>
				<th width="15%">
						<?=$this->lang->line('payment_date');?>
				</th>
				<th width="15%" align="right">
						<?=$this->lang->line('amount');?>
				</th>
				<th width="70%" align="left">
						<?=$this->lang->line('note');?>
				</th>
			</tr>
				<?foreach ($invoice->invoice_payments as $payment) {?>
			<tr>
				<td><?=date($this->session->userdata('default_date_format'), $payment->payment_date);?></td>
				<td align="right">
					<?=$this->session->userdata('currency_symbol');?>
					<?=number_format($payment->amount, 2);?>
				</td>
				<td align="left"><?=$payment->note;?></td>
			</tr>
				<?}?>
		</table>
		<?}?>

	</body>
</html>