<?php (defined('BASEPATH')) OR exit('No direct script access allowed');

class Payments extends Admin_Controller {

	function __construct() {

		parent::__construct();

		$this->_post_handler();

		$this->load->model('mdl_payments');

	}

	function index() {

		$this->load->helper('text');

		$this->redir->set_last_index();

		$data = array(
			'payments'	=>  $this->mdl_payments->_get(array('limit'=>20, 'paginate'=>TRUE, 'page'=>uri_assoc('page'))),
			'page_links'	=>  TRUE,
			'sort_links'	=>	TRUE);

		$this->load->view('index', $data);

	}

	function form() {

		if (!$this->mdl_payments->_validate()) {

			$this->load->module('invoices');

			$this->load->module('clients');

			if (!$_POST AND uri_assoc('payment_id')) {

				$this->mdl_payments->prep_validation(uri_assoc('payment_id'));

			}

			elseif (!$_POST AND !uri_assoc('payment_id')) {

				$this->mdl_payments->set_date();

			}

			if (uri_assoc('invoice_id')) {

				$this->load->view('form');

			}

			else {

				$invoices = $this->invoices->get(array('with_balance'=>TRUE));

				if ($invoices) {

					$this->load->helper('text');

					$data = array(
						'invoices'			=>	$invoices,
						'client_id_length'	=>	$this->clients->client_id_length(),
						'invoice_id_length'	=>	$this->invoices->invoice_id_length());

					$this->load->view('form', $data);

				}

				else {

					$this->load->view('form_no_invoices');

				}

			}

		}

		else {

			$this->mdl_payments->save($this->mdl_payments->db_array(), uri_assoc('payment_id'));

			$this->redir->redirect(array('payments', 'invoices'));

		}

	}

	function delete() {

		if (uri_assoc('payment_id')) {

			$this->mdl_payments->_delete(array('payment_id'=>uri_assoc('payment_id')));

		}

		$this->redir->redirect(array('payments', 'invoices'));

	}

	function get($params = NULL) {

		return $this->mdl_payments->_get($params);

	}

	function _post_handler() {

		if ($this->input->post('btn_add_payment')) {

			redirect('payments/form');

		}

		elseif ($this->input->post('btn_cancel')) {

			redirect('payments/index');

		}

	}

}

?>