<?php (defined('BASEPATH')) OR exit('No direct script access allowed');

class Mdl_Payments extends MY_Model {

	function Mdl_Payments() {

		parent::MY_Model();

		$this->table_name = 'mcb_payments';

		$this->primary_key = 'mcb_payments.payment_id';

		$this->select_fields = "
		SQL_CALC_FOUND_ROWS *";

		$this->order_by = 'mcb_payments.payment_date DESC';

		$this->joins = array(
			'mcb_invoices'	=>	'mcb_invoices.invoice_id = mcb_payments.invoice_id',
			'mcb_clients'	=>	'mcb_clients.client_id = mcb_invoices.client_id'
		);

		$this->validation_fields = array(
			'invoice_id'	=>	$this->lang->line('invoice'),
			'payment_date'	=>	$this->lang->line('payment_date'),
			'amount'		=>	$this->lang->line('amount'),
			'note'			=>	$this->lang->line('note')
		);

		$this->validation_rules = array(
			'payment_date'	=>	'required',
			'amount'		=>	'required'
		);

	}

	function db_array() {

		$db_array = $this->_db_array();

		if (uri_assoc('invoice_id')) {

			$db_array['invoice_id'] = uri_assoc('invoice_id');

		}

		elseif ($this->input->post('invoice_id')) {

			$db_array['invoice_id'] = $this->input->post('invoice_id');

		}

		$db_array['payment_date'] = strtotime($db_array['payment_date']);

		return $db_array;

	}

	function save($db_array, $payment_id = NULL) {

		if (uri_assoc('invoice_id')) {

			if ($payment_id) {

				$this->db->where($this->primary_key, $payment_id);

				$this->db->update($this->table_name, $db_array);

			}

			else {

				$this->db->insert($this->table_name, $db_array);

			}

		}

		else {

			if ($this->input->post('invoice_dist_select') == 'single') {

				$this->db->insert($this->table_name, $db_array);

			}

			elseif ($this->input->post('invoice_dist_select') == 'multiple') {

				$db_array['amount'] = $db_array['amount'] / count($_POST['invoice_id']);

				foreach ($this->input->post('invoice_id') AS $invoice_id) {

					$db_array['invoice_id'] = $invoice_id;

					$this->db->insert($this->table_name, $db_array);

				}


			}

		}

		$this->session->set_flashdata('success_save', TRUE);

	}

	function prep_validation($key) {

		$this->_prep_validation($key);

		if (!$_POST) {

			$this->validation->payment_date = date($this->session->userdata('default_date_format'), $this->validation->payment_date);

		}

	}

	function set_date() {

		$this->validation->payment_date = date($this->session->userdata('default_date_format'), time());

	}

}

?>