<?php (defined('BASEPATH')) OR exit('No direct script access allowed');

class Mdl_Invoice_Reports extends MY_Model {

	function Mdl_Invoice_Reports() {

		parent::MY_Model();

		$this->validation_fields = array(
			'from_date'	=>	$this->lang->line('from_date'),
			'to_date'	=>	$this->lang->line('to_date')
		);

		$this->validation_rules = array(
			'from_date'	=>	'required',
			'to_date'	=>	'required'
		);

	}

	function invoices($results) {

		$invoice_amount = 0;

		$invoice_tax = 0;

		$invoice_total = 0;

		$invoice_payment = 0;

		$invoice_balance = 0;

		foreach ($results as $result) {

			$invoice_amount += $result->invoice_amount;

			$invoice_tax += $result->invoice_tax;

			$invoice_total += $result->invoice_total;

			$invoice_payment += $result->invoice_payment;

			$invoice_balance += $result->invoice_balance;

		}

		$invoices = array(
			'invoices'			=>	$results,
			'group_totals'		=>	array(
			'invoice_amount'	=>	$invoice_amount,
			'invoice_tax'		=>	$invoice_tax,
			'invoice_total'		=>	$invoice_total,
			'invoice_payment'	=>	$invoice_payment,
			'invoice_balance'	=>	$invoice_balance
			)
		);

		return $invoices;

	}

	function invoice_params() {

		$params = array(
			'where'	=> array(
			'mcb_invoices.date_entered >='	=>	strtotime($this->input->post('from_date')),
			'mcb_invoices.date_entered <='	=>	strtotime($this->input->post('to_date'))
			)
		);

		if ($this->input->post('client_id') <> 'all') {

			$params['where']['mcb_invoices.client_id'] = $this->input->post('client_id');

		}

		if ($this->input->post('status_select') == 'open') {

			$params['with_balance'] = TRUE;

		}

		elseif ($this->input->post('status_select') == 'closed') {

			$params['without_balance'] = TRUE;

		}

		return $params;

	}

}

?>
