<?php (defined('BASEPATH')) OR exit('No direct script access allowed');

class Sessions extends Controller {

	function Sessions() {

		$this->autoload = array('libraries'=>array('session', 'database', 'validation'));

		$this->load->language('mcb');
		
		parent::Controller();

	}

	function index() {

		redirect('sessions/login');

	}

	function login() {

		$this->load->helper(array('url', 'form'));

		$this->load->model('mdl_sessions');
		
		if ($this->mdl_sessions->_validate()) {

			$this->load->model('mdl_auth');

			if ($user = $this->mdl_auth->auth('mcb_users', 'username', 'password', $this->input->post('username'), $this->input->post('password'))) {

				$this->session->sess_destroy();

				$object_vars = array('user_id', 'last_name', 'first_name', 'global_admin');

				// set the session variables
				$this->mdl_auth->set_session($user, $object_vars, array('is_admin'=>TRUE));

				// update the last login field for this user
				$this->mdl_auth->update_timestamp('mcb_users', 'user_id', $user->user_id, 'last_login', time());

				redirect('dashboard');

			}

			else {

				$this->validation->error_string = $this->lang->line('username_or_password_incorrect');

			}

		}

		$this->load->view('login');

	}

	function logout() {

		$this->load->helper('url');

		$this->session->sess_destroy();

		redirect('sessions/login');

	}

}

?>