<?php (defined('BASEPATH')) OR exit('No direct script access allowed');

class Settings extends Admin_Controller {

	function __construct() {

		parent::__construct(TRUE);

		$this->mdl_kindle->load_core_modules();

		$this->_post_handler();

	}

	function index() {

		$this->load->view('settings');

	}

	function _post_handler() {

		if ($this->input->post('btn_backup')) {

			$this->_db_backup();

		}

		elseif ($this->input->post('btn_save_settings')) {

			$this->_core_save();

			$this->_custom_save();

			$this->mdl_mcb_data->set_session_data();

			$this->session->set_flashdata('custom_success', $this->lang->line('system_settings_saved'));

			redirect('settings');

		}

	}

	function _core_save() {

		if (isset($this->kindle->notices['settings_core_save'])) {

			foreach ($this->kindle->notices['settings_core_save'] as $save) {

				modules::run($save['module'] . '/' . $save['method']);

			}

		}

	}

	function _custom_save() {

		if (isset($this->kindle->notices['settings_custom_save'])) {

			foreach ($this->kindle->notices['settings_custom_save'] as $save) {

				modules::run($save['module'] . '/' . $save['method']);

			}

		}

	}

	function show_core_module_settings() {

		if (isset($this->kindle->notices['settings_core_view'])) {

			

			foreach ($this->kindle->notices['settings_core_view'] as $view) {

				$this->load->view($view['module'] . '/' . $view['view']);

			}

		}

	}

	function show_custom_module_settings() {

		if (isset($this->kindle->notices['settings_custom_view'])) {

			foreach ($this->kindle->notices['settings_custom_view'] as $view) {

				$this->load->view($view['module'] . '/' . $view['view']);

			}

		}

	}

	function _db_backup() {

		$prefs = array(
			'format'      => 'zip',
			'filename'    => 'mcb_' . date('Y-m-d') . '.sql'
		);

		$this->load->library('db_backup');

		$this->db_backup->backup($prefs);

	}

}

?>