<?php (defined('BASEPATH')) OR exit('No direct script access allowed');

class Setup extends Controller {

	function Setup() {

		parent::Controller();

		$this->load->language('mcb');

		$this->load->helper(array('url'));

		$this->load->model('mdl_setup');

		$this->load->model('mcb_data/mdl_mcb_data');

	}

	function index() {

		if ($this->input->post('btn_install')) {

			redirect('setup/install');

		}

		elseif ($this->input->post('btn_upgrade')) {

			redirect('setup/upgrade');

		}

		$this->load->view('index');

	}

	function install() {

		$this->load->library('validation');

		if ($this->mdl_setup->_validate()) {

			$data = array(
				'install_messages'	=>	$this->mdl_setup->db_install()
			);

			$this->load->view('install_status', $data);

		}

		else {

			$this->load->view('install');

		}

	}

	function upgrade() {

		if ($this->input->post('btn_db_backup')) {

			$prefs = array(
				'format'      => 'zip',
				'filename'    => 'mcb_' . date('Y-m-d') . '.sql'
			);

			$this->load->library('db_backup');

			$this->db_backup->backup($prefs);

		}

		elseif ($this->input->post('btn_upgrade')) {

			$data = array(
				'upgrade_messages'	=>	$this->mdl_setup->db_upgrade());

			$this->load->view('upgrade_status', $data);

		}

		else {

			$this->load->view('upgrade');

		}

	}

}

?>