<?php (defined('BASEPATH')) OR exit('No direct script access allowed');

class Tax_Rates extends Admin_Controller {

	function __construct() {

		parent::__construct(TRUE);

		$this->_post_handler();

		$this->load->model('mdl_tax_rates');

		/*
		 * Notify the settings module that we have a save view
		 */
		$this->kindle->set_notice('settings_core_view', array('module'=>'tax_rates', 'view'=>'settings'));

		/*
		 * Notify the settings module that we have a save method
		 */
		$this->kindle->set_notice('settings_core_save', array('module'=>'tax_rates', 'method'=>'save_settings'));

	}

	function index() {

		$this->redir->set_last_index();

		$data = array(
			'tax_rates' =>	$this->mdl_tax_rates->_get(array('limit'=>20, 'paginate'=>TRUE, 'page'=>uri_assoc('page'))),
		);

		$this->load->view('index', $data);

	}

	function form() {

		if (!$this->mdl_tax_rates->_validate()) {

			$this->load->helper('form');

			if (!$_POST AND uri_assoc('tax_rate_id')) {

				$this->mdl_tax_rates->_prep_validation(uri_assoc('tax_rate_id'));

			}

			$this->load->view('form');

		}

		else {

			$this->mdl_tax_rates->_save($this->mdl_tax_rates->_db_array(), uri_assoc('tax_rate_id'));

			$this->redir->redirect('tax_rates');

		}

	}

	function delete() {

		if (uri_assoc('tax_rate_id')) {

			$this->mdl_tax_rates->_delete(array('tax_rate_id'=>uri_assoc('tax_rate_id')));

		}

		$this->redir->redirect('tax_rates');

	}

	function save_settings() {

		$this->mdl_mcb_data->save('default_tax_rate_id', $this->input->post('default_tax_rate_id'));
		
	}

	function _post_handler() {

		if ($this->input->post('btn_add_tax_rate')) {

			redirect('tax_rates/form');

		}

		elseif ($this->input->post('btn_cancel')) {

			redirect('tax_rates/index');

		}

	}

}

?>