<?php (defined('BASEPATH')) OR exit('No direct script access allowed');

class Templates extends Admin_Controller {

	function __construct() {

		parent::__construct();

		$this->load->model('mdl_templates');

		$this->_post_handler();

		/*
		 * Notify the settings module that we have a save view
		 */
		$this->kindle->set_notice('settings_core_view', array('module'=>'templates', 'view'=>'settings'));

		/*
		 * Notify the settings module that we have a save method
		 */
		$this->kindle->set_notice('settings_core_save', array('module'=>'templates', 'method'=>'save_settings'));

	}

	function index() {

		$data = array(
			'templates'			=>	$this->mdl_templates->get(),
			'dir_is_writable'	=>	$this->mdl_templates->dir_is_writable(),
			'template_dir'		=>	$this->mdl_templates->template_dir
		);

		$this->load->view('index', $data);

	}

	function form() {

		$fields = array(
			'template_name'		=>	'Template Name',
			'template_content'	=>	'Template Content'
		);

		$rules = array(
			'template_name'		=>	'required',
			'template_content'	=>	'required'
		);

		$this->validation->set_fields($fields);

		$this->validation->set_rules($rules);

		if (!$this->validation->run()) {

			if (!$_POST and uri_assoc('template_name')) {

				$this->validation->template_name = uri_assoc('template_name');

				$this->validation->template_content = $this->mdl_templates->get_content(uri_assoc('template_name'));

			}

			$data = array(
				'dir_is_writable'	=>	$this->mdl_templates->dir_is_writable(),
				'template_dir'		=>	$this->mdl_templates->template_dir
			);

			$this->load->view('form', $data);

		}

		else {

			$this->mdl_templates->save();

			redirect('templates');

		}

	}

	function delete() {

		$this->mdl_templates->delete();

		redirect('templates');

	}

	function save_settings() {

		$this->mdl_mcb_data->save('default_invoice_template', $this->input->post('default_invoice_template'));

	}

	function _post_handler() {

		if ($this->input->post('btn_create_template')) {

			redirect('templates/form');

		}

		elseif ($this->input->post('btn_cancel')) {

			redirect('templates');

		}

	}

}

?>
