<?php

class Mdl_Templates extends Model {

	var $template_dir;

	function Mdl_Templates() {

		parent::Model();

		/*
		 * Referenced multiple times below...
		 */
		$this->template_dir = APPPATH . 'modules/invoices/views/invoice_templates/';

	}

	/*
	 * Returns an array of files contained in the template directory.
	 */
	function get() {

		/*
		 * Get the initial map of files in the template directory.
		 */
		$map = directory_map($this->template_dir);

		foreach ($map as $key=>$value) {

			if (substr($value, -4) <> '.php') {

				/*
				 * Remove this file from the array if it doesn't have a .php extension.
				 */
				unset ($map[$key]);

			}

			else {

				/*
				 * Yep - it's got a .php extension, so let's keep it.
				 */
				$map[$key] = substr($map[$key], 0, -4);

			}

		}

		/*
		 * Return the list of files to the controller.
		 */
		return $map;

	}

	/*
	 * Returns the contents of the specified file.
	 */
	function get_content($template) {

		$template_content = read_file($this->template_dir . $template . '.php');

		return $template_content;

	}

	/*
	 * Checks to see if the template directory is writable or not.
	 */
	function dir_is_writable() {

		if (is_writable($this->template_dir)) {

			return TRUE;

		}

		return FALSE;

	}

	/*
	 * Writes the contents of the file.
	 */
	function save() {

		$template_filename = url_title($this->input->post('template_name'));

		$template_content = $this->input->post('template_content');

		if (write_file($this->template_dir . $template_filename . '.php', $template_content)) {

			$this->session->set_flashdata('success_save', TRUE);

		}

	}

	/*
	 * Deletes the template file.
	 */
	function delete() {

		if (count($this->get()) > 1) {

			if (unlink($this->template_dir . uri_assoc('template_name') . '.php')) {

				$this->session->set_flashdata('success_delete', TRUE);

			}

		}

		else {

			$this->session->set_flashdata('custom_error', $this->lang->line('template_cannot_be_deleted'));

		}

	}
}

?>
