<?php (defined('BASEPATH')) OR exit('No direct script access allowed');

class Mdl_Users extends MY_Model {

	function Mdl_Users() {

		parent::MY_Model();

		$this->table_name = 'mcb_users';

		$this->primary_key = 'mcb_users.user_id';

		$this->select_fields = "
		SQL_CALC_FOUND_ROWS *";

		$this->order_by = 'last_name, first_name';

		$this->validation_fields = array(
			'global_admin'	=>	$this->lang->line('global_administrator'),
			'username'		=>	$this->lang->line('username'),
			'password'		=>	$this->lang->line('password'),
			'passwordv'		=>	$this->lang->line('password_verify'),
			'first_name'	=>	$this->lang->line('first_name'),
			'last_name'		=>	$this->lang->line('last_name'),
			'address'		=>	$this->lang->line('address'),
			'city'			=>	$this->lang->line('city'),
			'state'			=>	$this->lang->line('state'),
			'zip'			=>	$this->lang->line('zip'),
			'phone_number'	=>	$this->lang->line('phone_number'),
			'fax_number'	=>	$this->lang->line('fax_number'),
			'mobile_number'	=>	$this->lang->line('mobile_number'),
			'email_address'	=>	$this->lang->line('email_address'),
			'web_address'	=>	$this->lang->line('web_address'),
			'company_name'	=>	$this->lang->line('company_name'));

		$this->validation_rules = array(
			'username'		=>	'required',
			'password'		=>	'required',
			'passwordv'		=>	'required|matches[password]',
			'first_name'	=>	'required',
			'last_name'		=>	'required');

	}

	function db_array() {

		$db_array = $this->_db_array();

		if (isset($db_array['password'])) {

			$db_array['password'] = md5($db_array['password']);

		}

		if (!$this->input->post('global_admin')) {

			$db_array['global_admin'] = 0;

		}

		unset($db_array['passwordv']);

		return $db_array;

	}

	function validate_change_password() {

		$fields = array(
			'new_password'		=>	'New Password',
			'new_passwordv'		=>	'New Password (verify)'
		);

		$rules = array(
			'new_password'		=>	'required',
			'new_passwordv'		=>	'required|matches[new_password]'
		);

		$this->validation->set_fields($fields);

		$this->validation->set_rules($rules);

		return $this->validation->run();

	}

	function save_change_password() {

		if (uri_assoc('user_id')) {

			$this->db->where('user_id', uri_assoc('user_id'));

			$db_array = array(
				'password'	=>	md5($this->input->post('new_password'))
			);

			$this->db->update('mcb_users', $db_array);

		}

	}

}

?>