<?php (defined('BASEPATH')) OR exit('No direct script access allowed');

class Setup extends Admin_Controller {

	function __construct() {

		parent::__construct(TRUE);

	}

	function index() {}

	function install() {

		$queries = array(
			"CREATE TABLE IF NOT EXISTS `mcb_tasks` (
			`task_id` int(11) NOT NULL AUTO_INCREMENT,
			`user_id` int(11) NOT NULL,
			`client_id` int(11) NOT NULL,
			`start_date` varchar(25) NOT NULL,
			`due_date` varchar(25) NOT NULL,
			`complete_date` varchar(25) NOT NULL,
			`title` varchar(255) NOT NULL,
			`description` longtext NOT NULL,
			PRIMARY KEY (`task_id`),
			KEY `user_id` (`user_id`,`client_id`)
			) ENGINE=MyISAM  DEFAULT CHARSET=utf8;",

			"CREATE TABLE `mcb_tasks_invoices` (
			`task_invoice_id` INT NOT NULL AUTO_INCREMENT PRIMARY KEY ,
			`task_id` INT NOT NULL ,
			`invoice_id` INT NOT NULL ,
			INDEX ( `task_id` , `invoice_id` )
			) ENGINE = MYISAM DEFAULT CHARSET=utf8;"
		);

		foreach ($queries as $query) {

			$this->db->query($query);

		}

	}

	function uninstall() {

		$queries = array(
			"DROP TABLE `mcb_tasks`",
			"DROP TABLE `mcb_tasks_invoices`"
		);

		foreach ($queries as $query) {

			$this->db->query($query);

		}

	}

	function upgrade() {

		if ($this->mdl_kindle->modules->enabled['tasks']->module_version == '0.1') {

			$this->upgrade_01_to_02();

		}

		if ($this->mdl_kindle->modules->enabled['tasks']->module_version == '0.2') {

			$this->upgrade_02_to_021();

		}

	}

	function upgrade_01_to_02() {

		/*
		 * This was simply a code update, so update the version in the database
		 * and nothing else.
		 */

		$db_array = array(
			'module_version'	=>	'0.2'
		);
		
		$this->db->where('module_directory', 'tasks');

		$this->db->update('kindle_modules', $db_array);

	}

	function upgrade_02_to_021() {

		$db_array = array(
			'module_version'	=>	'0.2.1'
		);

		$this->db->where('module_directory', 'tasks');

		$this->db->update('kindle_modules', $db_array);

	}

}

?>